Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class SaveCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.commands.SaveCommand

    class SaveCommand
    extends CommandSupport

The 'save' command.

Authors:
  Jason Dillon

Version:
  \$Id: SaveCommand.groovy 7581 2007-08-23 01:47:47Z user57 \$

Field Summary

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Constructor Summary
`SaveCommand(Shell shell)`

Method Summary
`protected List` | `createCompletors()`
`Object` | `execute(List args)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SaveCommand

    SaveCommand(Shell shell)

Method Detail

### createCompletors

    protected List createCompletors()

### execute

    Object execute(List args)

Copyright © 2003-2010 The Codehaus. All rights reserved.